Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Class ReplaceOwnersCopyOption

    java.lang.Object
      com.ibm.workplace.wcm.api.ReplaceOwnersCopyOption

All Implemented Interfaces:
  CopyOption

    public class ReplaceOwnersCopyOption

extends java.lang.Object
implements CopyOption

This `CopyOption` is used to replace the original owners of the source item being copied. If this option is used with `RecursiveCopyOption`, all items copied will have their owners replaced.

Since:
  8.0.0.1

Constructor Summary
`ReplaceOwnersCopyOption()`

Method Summary
`void` | `addOwner(java.lang.String p_owner)` Adds an owner to this object.
`void` | `clearOwners()` Removes all owners to this object.
`java.util.List<java.lang.String>` | `getOwners()` Returns the owner/s of this item.
`void` | `setOwner(java.lang.String p_owner)` Sets owners of this object.
`void` | `setOwners(java.util.List<java.lang.String> p_owners)` Sets a list of Strings representing the list of owners to this object The list contains user DNs or CNs, depending on setting in Workspace.useDistinguishedNames().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplaceOwnersCopyOption

    public ReplaceOwnersCopyOption()

Method Detail

### setOwner

    public void setOwner(java.lang.String p_owner)

  Sets owners of this object. All previous added owners will be removed. Can be a user DN or CN, depending on setting in Workspace.useDistinguishedNames().

  Parameters:
    `p_owner` - owner of this object to be set to

### setOwners

    public void setOwners(java.util.List<java.lang.String> p_owners)

  Sets a list of Strings representing the list of owners to this object The list contains user DNs or CNs, depending on setting in Workspace.useDistinguishedNames().

  Parameters:
    `p_owners` - a list of Strings owners to be set to this object

### addOwner

    public void addOwner(java.lang.String p_owner)

  Adds an owner to this object. Can be a user DN or CN, depending on setting in Workspace.useDistinguishedNames().

  Parameters:
    `p_owner` - owner of this object to be added to the list of owners

### clearOwners

    public void clearOwners()

  Removes all owners to this object.

### getOwners

    public java.util.List<java.lang.String> getOwners()

  Returns the owner/s of this item. The list contains user DNs or CNs, depending on setting in Workspace.useDistinguishedNames().

  Returns:
    the list of owner/s

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD